complexType "TradeNovationContent"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 34 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | eventIdentifier*, (newTradeIdentifier+ | newTrade | ((oldTradeIdentifier+ | oldTrade), (feeTradeIdentifier | feeTrade)?, (newTradeIdentifier+ | newTrade)?) | ((feeTradeIdentifier | feeTrade), (newTradeIdentifier+ | newTrade)?))?, (transferor?, transferorAccount?, transferee?, otherTransferee?, transfereeAccount?, otherTransfereeAccount?, remainingParty?, remainingPartyAccount?, otherRemainingParty?, otherRemainingPartyAccount?)?, (novationDate?, executionDateTime?, novationTradeDate?)?, ((novatedAmount*, remainingAmount*) | (novatedNumberOfOptions?, remainingNumberOfOptions?) | (novatedNumberOfUnits?, remainingNumberOfUnits?) | novationAmount+)?, (fullFirstCalculationPeriod?, firstPeriodStartDate[0..2], nonReliance?, creditDerivativesNotices?, contractualDefinitions*, contractualTermsSupplement*)?, payment?
</...>

Content Model Elements (34):

  contractualDefinitions (in novation), contractualTermsSupplement (in novation), creditDerivativesNotices, eventIdentifier (defined in AbstractEvent complexType), executionDateTime (in novation), feeTrade, feeTradeIdentifier, firstPeriodStartDate (in novation), fullFirstCalculationPeriod, newTrade, newTradeIdentifier, nonReliance (in novation), novatedAmount, novatedNumberOfOptions, novatedNumberOfUnits, novationAmount, novationDate, | novationTradeDate, oldTrade (in novation), oldTradeIdentifier (in novation), otherRemainingParty, otherRemainingPartyAccount, otherTransferee, otherTransfereeAccount, payment (in novation), remainingAmount, remainingNumberOfOptions, remainingNumberOfUnits, remainingParty, remainingPartyAccount, transferee, transfereeAccount, transferor, transferorAccount

All Direct / Indirect Based Elements (1):

  novation

Known Usage Locations

- As direct type of elements (1):
  novation

Annotation
A structure describing a novation.
Type Definition Detail

Type Derivation Tree AbstractEvent (extension) TradeNovationContent

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="TradeNovationContent"> <xsd:complexContent> <xsd:extension base="AbstractEvent"> <xsd:sequence> <xsd:choice minOccurs="0"> <!--View Generation: Removed a degenerate choice.--> <xsd:group ref="NewTrade.model"/> <xsd:sequence> <xsd:group ref="OldTrade.model"/> <xsd:group minOccurs="0" ref="FeeTrade.model"/> <xsd:group minOccurs="0" ref="NewTrade.model"/> </xsd:sequence> <xsd:sequence> <xsd:group ref="FeeTrade.model"/> <xsd:group minOccurs="0" ref="NewTrade.model"/> </xsd:sequence> </xsd:choice> <xsd:group minOccurs="0" ref="NovationRoles.model"/> <xsd:group minOccurs="0" ref="NovationDates.model"/> <xsd:group minOccurs="0" ref="NovationAmounts.model"/> <xsd:group minOccurs="0" ref="NovationTerms.model"/> <xsd:element minOccurs="0" name="payment" type="Payment"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/34)
payment

  Type: | Payment, complex content

  Describes a payment made in settlement of the novation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="payment" type="Payment"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.